import pymongo

MONGO_DB_HOST = 'trace-retrieval-db'
MONGO_DB_PORT = '27017'

class MongoRepository:
    # TODO extract to docker env var
    _username = 'root'
    _password = 'root'
    _collection : pymongo.collection.Collection = None

    def __init__(self, username=_username, password=_password):
        myclient = pymongo.MongoClient(f"mongodb://{username}:{password}@{MONGO_DB_HOST}:{MONGO_DB_PORT}/")
        database = myclient['traceRetrievalDB'] # trace retrieval
        self._collection = database['traces']

    def insert_trace(self, content: dict):
        self._collection.insert_one(content)

    def get_traces(self, selection: dict = {}):
        return self._collection.find(selection)
